QGIS Application - Bug report #1196
projection parameter +no_uoff is not applied to layer SRS; affects Michigan GeoRef
2008-07-31 05:39 PM - Steven Mizuno

Status: Closed

Priority: Low

Assignee: nobody -

Category: Projection Support

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupts data: Copied to github as #: 11256
Description

background: the PROJ.4 definitions for Michigan [[GeoRef]] (EPSG:3078, 3079) don't work properly unless +no_uoff is included in the
definition. There is PROJ.4 mailing list traffic about this.

A Custom Projection can be created for Michigan [[GeoRef]] by copying the 3078 parameters and adding +no_uoff. This can be saved ok
and the parameters test ok.

When this custom projection is applied to a layer the +no_uoff parameter disappears from the SRS string on the General tab of layer
properties and the layer is not projected properly.

History

#1 - 2008-09-01 01:17 AM - Maciej Sieczka -

- Resolution set to invalid

- Status changed from Open to Closed

Current stable GDAL interprets EPSG:3078 in the following way:
$ epsg_tr.py 3078 -proj4
# NADB83 / Michigan Oblique Mercator

<3078> +proj=omerc +lat_0=45.30916666666666 +lonc=-86 +alpha=337.25556 +k=0.9996 +x_0=2546731.496 +y_0=-4354009.816
+ellps=GRS80 +datum=NAD83 +units=m +no_defs <>

As you see there is no no_uoff parameter above. Since QGIS CRS is created according to GDAL's interpretation of EPSG codes (epsg_tr.py output) this is
not a QGIS issue but a GDAL one.

Please report it to GDAL devs. Once it is fixed in GDAL (i.e. epsg_tr.py produces a correct proj4 representation of EPSG codes in question) add a notice to
this ticket and QGIS CRS database will be updated.

#2 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
